<?php

use yii\db\Migration;

/**
 * Handles the creation of table `ImageManager`.
 */
class m171123_151350_create_ImageManager_table extends Migration
{
    /**
     * @inheritdoc
     */
    public function up()
    {
        $this->createTable('ImageManagerLang', [
            'image_id' => $this->integer(),
            'language_id' => $this->integer(),
            'title' => $this->string(),
            'alt' => $this->string(),
            'description' => $this->string(),
        ]);
        
        $this->createIndex(
            'imageManagerIndexLang',
            'ImageManagerLang',
            ['image_id', 'language_id'],
            true
        );
    }

    /**
     * @inheritdoc
     */
    public function down()
    {
        $this->dropIndex('imageManagerIndexLang', "ImageManagerLang");
        
        $this->dropTable('ImageManagerLang');
    }
}
